/*******************************************************************************
 * FoxDamageType_HighImpact generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDamageType_HighImpact extends FoxDamageType_Bullet;

var const ParticleSystem ThirdPersonEffectPS;
var const bool bAttachFXToPawn;

static function ApplyEffect(FoxPawn VictimPawn, out int DamageAmount, optional Controller ControllerInstigator)
{
    local FoxEmitterSpawnableSimulated Emitter;

    super(FoxDamageType).ApplyEffect(VictimPawn, DamageAmount, ControllerInstigator);
    // End:0x1EA
    if((FoxVehicle(VictimPawn) == none) && !class'FoxPC'.static.ShouldDisableBloodForLocalPlayer())
    {
        // End:0x126
        if(default.bAttachFXToPawn)
        {
            Emitter = VictimPawn.Spawn(class'FoxEmitterSpawnableSimulated', VictimPawn);
            Emitter.SetTemplate(default.ThirdPersonEffectPS, true);
            Emitter.SetBase(VictimPawn,, VictimPawn.Mesh, 'Root');
        }
        // End:0x1C9
        else
        {
            Emitter = VictimPawn.Spawn(class'FoxEmitterSpawnableSimulated', VictimPawn,, VictimPawn.Location, VictimPawn.Rotation);
            Emitter.SetTemplate(default.ThirdPersonEffectPS, true);
        }
        Emitter.bIsBloodEffect = true;
    }
    //return;    
}

defaultproperties
{
    BodyHitType=EHitType.EHT_RailGun
    DamagedFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_HighImpact.ForceFeedbackWaveformDamage'
    KilledFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_HighImpact.ForceFeedbackWaveformDeath'
}